package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.system.model.SystemMenu;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/18.
 */
public interface IMenuDao extends XSQLGeneralDAO {
    List<SystemMenu> getAllMenut(Map<String, Object> params) throws Exception;

    void activityMenu(String orgId, String activityFlag) throws Exception;

    void deleteMenu(String id) throws Exception;

    SystemMenu getMenuByCodeWithOutId(String code, String id) throws Exception;

    SystemMenu getMenuByCode(String code) throws Exception;
}
